<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="whr-customize-menu">
  <title>How to Customize the Menu</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm product="author developer editor authorEclipse developerEclipse editorEclipse"
          >WebHelp Responsive <indexterm>Customizing the menu</indexterm></indexterm>
        <indexterm product="webhelp-responsive ope">Customizing the menu</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_rwn_cgk_54b">By default, the menu component is displayed in all WebHelp Responsive pages. However, you
      might want to hide it completely, or only display some of its menu entries.</p>
    <section id="how_to_hide_some_of_the_menu_entries">
      <title>How to Hide Some of the Menu Entries</title>
      <p id="p_swn_cgk_54b">There are two methods for doing this. One of them involves editing the <xref
          keyref="glossentry_ditamap"><term>DITA map</term></xref> and marking the topics that do
        not need to be included in the menu, and another one that uses a small CSS
        customization.</p>
      <sectiondiv><b>Editing the DITA Map</b><p id="p_twn_cgk_54b">To edit the metadata in the <term>DITA map</term> to
          control which topics will not be displayed in the menu, follow these steps:<ol id="ol_uwn_cgk_54b">
            <li id="li_vwn_cgk_54b">Open the <term>DITA map</term> in the <uicontrol>Text</uicontrol> editing mode of
                <ph keyref="product"
                product="author developer editor authorEclipse developerEclipse editorEclipse"/><b
                product="webhelp-responsive ope">Oxygen XML Editor/Author</b>.</li>
            <li id="li_wwn_cgk_54b">Add the following metadata information in the <codeph>topicref</codeph> element (or
              any of its specializations) for each topic you do not want to be displayed in the
              menu:<codeblock  id="codeblock_xwn_cgk_54b">&lt;topicmeta>
  &lt;data name="wh-menu">
    &lt;data name="hide" value="yes"/>        
  &lt;/data>
&lt;/topicmeta></codeblock></li>
          </ol></p></sectiondiv>
      <sectiondiv><b>Customizing the CSS</b><p id="p_ywn_cgk_54b">To customize the CSS to control which topics will not
          be displayed in the menu, follow these steps:<ol id="ol_zwn_cgk_54b">
            <li id="li_axn_cgk_54b">Make sure you set an ID on the topic that you do not want to include in the
              menu.</li>
            <li id="li_bxn_cgk_54b">Create a new CSS file that contains a rule that hides the menu entry generated for
              the topic (identified by the topic ID <codeph>growing-flowers</codeph> in the
              following example). The CSS file should have content that is similar to
              this:<codeblock  id="codeblock_cxn_cgk_54b">.wh_top_menu *[data-id='growing-flowers'] {
  display:none;
}</codeblock></li>
            <li id="li_dxn_cgk_54b">Reference the CSS file in a <term>WebHelp Responsive</term> transformation using
                <xref href="webhelp-customizing-with-css.dita#whr-custom-css-pt-oxy">an <term>Oxygen
                  Publishing Template</term></xref> or <xref
                href="webhelp-customizing-with-css.dita#whr-custom-css-param-oxy">the
                  <codeph>args.css</codeph> parameter</xref>.</li>
          </ol></p></sectiondiv>
    </section>
    <section id="how_to_hide_the_entire_menu"><title>How to Hide the Entire Menu</title><p id="p_exn_cgk_54b">If you do
        not want to include a main menu in the pages of the WebHelp Responsive output, you can
        instruct the transformation scenario to skip the menu generation completely.</p><u><b>Using
          a Publishing Template</b></u><p id="p_fxn_cgk_54b">To hide the menu using an <xref
          keyref="wh-publishing-template"><term>Oxygen Publishing Template</term></xref>, follow
        this procedure:<ol id="ol_gxn_cgk_54b">
          <li id="li_hxn_cgk_54b">If you have not already created a Publishing Template, see <xref
              href="whr-create-publishing-template.dita">How to Create a Publishing
            Template</xref>.</li>
          <li id="li_ixn_cgk_54b">Open the <xref href="whr_publishing_template_contents.dita#template_descritpor_file"
              >template descriptor file</xref> associated with your publishing template and add the
              <codeph>webhelp.show.top.menu</codeph> parameter in the <term>parameters</term>
            section with its value set to
            <codeph>no</codeph>.<codeblock  id="codeblock_jxn_cgk_54b">&lt;publishing-template>
    ...
    &lt;webhelp>
        ...                
        &lt;parameters>
            &lt;parameter name="webhelp.show.top.menu" value="no"/>
        &lt;/parameters>
    &lt;/webhelp></codeblock></li>
          <li id="li_kxn_cgk_54b">Open the <term>DITA Map WebHelp Responsive</term> transformation scenario.</li>
          <li id="li_lxn_cgk_54b">Click the <uicontrol>Choose Custom Publishing Template</uicontrol> link and select
            your template.</li>
          <li id="li_mxn_cgk_54b">Click <uicontrol>OK</uicontrol> to save the changes to the transformation
            scenario.</li>
          <li id="li_nxn_cgk_54b">Run the transformation scenario.</li>
        </ol></p><p id="p_oxn_cgk_54b"><u><b>Using a Transformation Scenario in Oxygen XML
        Editor/Author</b></u></p><p id="p_pxn_cgk_54b">To hide the menu using a transformation scenario from within
          <b>Oxygen XML Editor/Author</b>, follow this procedure:<ol id="ol_qxn_cgk_54b">
          <li id="li_rxn_cgk_54b">Edit the <term>DITA Map WebHelp Responsive</term> transformation scenario and choose a
              <i>template</i>.</li>
          <li id="li_sxn_cgk_54b">Open the <uicontrol>Parameters</uicontrol> tab and set the
              <codeph>webhelp.show.top.menu</codeph> parameter to <codeph>no</codeph>.</li>
          <li id="li_txn_cgk_54b">Click <uicontrol>OK</uicontrol> to save the changes to the transformation
            scenario.</li>
          <li id="li_uxn_cgk_54b">Run the transformation scenario.</li>
        </ol></p></section>
  </body>
</topic>
